Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Password Box and Roboform Lite don't work in release 24 beta

  • 4 replies
  • 2 have this problem
  • 556 views
  • Last reply by John99

more options

I have Roboform Lite 3.5.1 and Password Box 1.11.1.1446 installed as Extensions and both have stopped working in Firefox 24 beta.

Chosen solution

So the extensions just failed to work then ?

It is probably best to take this up with the extension developers, or at least on the add-ons forum.

If you do get an answer or start a thread elsewhere you may wish to add the link to this thread, as in a few days we will get questions from Release users. (Fx 24 Release about 17th Sept)

In recent releases Firefox has done pretty well with add-on compatibility. It was a major headache for us when the rapid release cycle was initially introduced.


I do not know what rollback method you used, but if you are interested in checking out different Firefox versions these links may be of interest to you.(If you have not already found them yourself)

Read this answer in context 👍 1

All Replies (4)

more options

I presume by stopped working you may imply they are disabled or marked as incompatible. Is that correct ?

It may be possible to force them to enable, but that does not help if they genuinely are no longer compatible with Firefox. Initially your best course of action is

  1. Check they are the most up-to-date versions available.
  2. Locate the home or support sites and enquire on the developer's contact or or support site about any planned update and Firefox 24 compatibility
  3. Look around for anything with a similar function that is compatible
    Use https://addons.mozilla.org/en-US/firefox/
more options

Both extensions were enabled. I rolled Firefox back to Version 23 and both of the extensions are working again.

more options

Most addons try to be compatible with the release versions, more so than the beta, aurora, and nightly versions (more users use the release).

more options

Chosen Solution

So the extensions just failed to work then ?

It is probably best to take this up with the extension developers, or at least on the add-ons forum.

If you do get an answer or start a thread elsewhere you may wish to add the link to this thread, as in a few days we will get questions from Release users. (Fx 24 Release about 17th Sept)

In recent releases Firefox has done pretty well with add-on compatibility. It was a major headache for us when the rapid release cycle was initially introduced.


I do not know what rollback method you used, but if you are interested in checking out different Firefox versions these links may be of interest to you.(If you have not already found them yourself)